Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb.util
Class ConnectionDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--org.hsqldb.util.ConnectionDialog

public class ConnectionDialog
extends Dialog
implements ActionListener, ItemListener

Field Summary
`(package private) java.sql.Connection` | `mConnection`
`(package private) java.awt.TextField` | `mDriver`
`(package private) java.awt.Label` | `mError`
`(package private) java.awt.TextField` | `mPassword`
`(package private) java.awt.TextField` | `mURL`
`(package private) java.awt.TextField` | `mUser`
`(package private) final static java.lang.String[][]` | `sJDBCTypes`

Fields inherited from class java.awt.Component
`TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT`

Constructor Summary
`(package private)` | `ConnectionDialog(java.awt.Frame , java.lang.String )`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent )`
`(package private) void` | `create()`
`static java.awt.Panel` | `createBorderPanel(java.awt.Component )`
`static java.sql.Connection` | `createConnection(java.lang.String , java.lang.String , java.lang.String , java.lang.String )`
`static java.sql.Connection` | `createConnection(java.awt.Frame , java.lang.String )`
`static java.awt.Label` | `createLabel(java.lang.String )`
`void` | `itemStateChanged(java.awt.event.ItemEvent )`
`(package private) void` | `trace(java.lang.String )`

Methods inherited from class java.awt.Dialog
`addNotify, isModal, setModal, getTitle, setTitle, show, hide, dispose, isResizable, setResizable, getAccessibleContext`

Methods inherited from class java.awt.Window
`pack, toFront, toBack, getToolkit, getWarningString, getLocale, getInputContext, setCursor, getOwner, getOwnedWindows, addWindowListener, removeWindowListener, getListeners, getFocusOwner, postEvent, isShowing, applyResourceBundle, applyResourceBundle, getGraphicsConfiguration`

Methods inherited from class java.awt.Container
`getComponentCount, countComponents, getComponent, getComponents, getInsets, insets, add, add, add, add, add, remove, remove, removeAll, getLayout, setLayout, doLayout, layout, invalidate, validate, setFont, getPreferredSize, preferredSize, getMinimumSize, minimumSize, getMaximumSize, getAlignmentX, getAlignmentY, paint, update, print, paintComponents, printComponents, addContainerListener, removeContainerListener, deliverEvent, getComponentAt, locate, getComponentAt, findComponentAt, findComponentAt, removeNotify, isAncestorOf, list, list`

Methods inherited from class java.awt.Component
`getName, setName, getParent, getPeer, setDropTarget, getDropTarget, getTreeLock, isValid, isDisplayable, isVisible, isEnabled, setEnabled, enable, enable, disable, isDoubleBuffered, enableInputMethods, setVisible, show, getForeground, setForeground, getBackground, setBackground, getFont, setLocale, getColorModel, getLocation, getLocationOnScreen, location, setLocation, move, setLocation, getSize, size, setSize, resize, setSize, resize, getBounds, bounds, setBounds, reshape, setBounds, getX, getY, getWidth, getHeight, getBounds, getSize, getLocation, isOpaque, isLightweight, getGraphics, getFontMetrics, getCursor, paintAll, repaint, repaint, repaint, repaint, printAll, imageUpdate, createImage, createImage, prepareImage, prepareImage, checkImage, checkImage, contains, inside, contains, dispatchEvent, addComponentListener, removeComponentListener, addFocusListener, removeFocusListener, addHierarchyListener, removeHierarchyListener, addHierarchyBoundsListener, removeHierarchyBoundsListener, addKeyListener, removeKeyListener, addMouseListener, removeMouseListener, addMouseMotionListener, removeMouseMotionListener, addInputMethodListener, removeInputMethodListener, getInputMethodRequests, handleEvent, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, action, gotFocus, lostFocus, isFocusTraversable, requestFocus, transferFocus, nextFocus, hasFocus, add, remove, toString, list, list, list, addPropertyChangeListener, removePropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, setComponentOrientation, getComponentOrientation`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Field Detail

### mConnection

    java.sql.Connection mConnection

### mDriver

    java.awt.TextField mDriver

### mError

    java.awt.Label mError

### mPassword

    java.awt.TextField mPassword

### mURL

    java.awt.TextField mURL

### mUser

    java.awt.TextField mUser

### sJDBCTypes

    final static java.lang.String[][] sJDBCTypes

Constructor Detail

### ConnectionDialog

    ConnectionDialog(java.awt.Frame , java.lang.String )

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent )

### create

    void create()

### createBorderPanel

    public static java.awt.Panel createBorderPanel(java.awt.Component )

### createConnection

    public static java.sql.Connection createConnection(java.lang.String , java.lang.String , java.lang.String , java.lang.String )

### createConnection

    public static java.sql.Connection createConnection(java.awt.Frame , java.lang.String )

### createLabel

    public static java.awt.Label createLabel(java.lang.String )

### itemStateChanged

    public void itemStateChanged(java.awt.event.ItemEvent )

### trace

    void trace(java.lang.String )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD